Update a person by id
curl --request PUT \
--url https://api-sandbox.orum.io/deliver/persons/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Orum-Version: <orum-version>' \
--data '
{
"customer_reference_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"date_of_birth": "<string>",
"social_security_number": "<string>",
"addresses": [
{
"type": "home",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US",
"zip5": "<string>",
"address2": "<string>"
}
],
"contacts": [
{
"value": "<string>"
}
],
"metadata": {}
}
'import requests
url = "https://api-sandbox.orum.io/deliver/persons/{id}"
payload = {
"customer_reference_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"date_of_birth": "<string>",
"social_security_number": "<string>",
"addresses": [
{
"type": "home",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US",
"zip5": "<string>",
"address2": "<string>"
}
],
"contacts": [{ "value": "<string>" }],
"metadata": {}
}
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Orum-Version': '<orum-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customer_reference_id: '<string>',
first_name: '<string>',
last_name: '<string>',
middle_name: '<string>',
date_of_birth: '<string>',
social_security_number: '<string>',
addresses: [
{
type: 'home',
address1: '<string>',
city: '<string>',
state: '<string>',
country: 'US',
zip5: '<string>',
address2: '<string>'
}
],
contacts: [{value: '<string>'}],
metadata: {}
})
};
fetch('https://api-sandbox.orum.io/deliver/persons/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.orum.io/deliver/persons/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'customer_reference_id' => '<string>',
'first_name' => '<string>',
'last_name' => '<string>',
'middle_name' => '<string>',
'date_of_birth' => '<string>',
'social_security_number' => '<string>',
'addresses' => [
[
'type' => 'home',
'address1' => '<string>',
'city' => '<string>',
'state' => '<string>',
'country' => 'US',
'zip5' => '<string>',
'address2' => '<string>'
]
],
'contacts' => [
[
'value' => '<string>'
]
],
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Orum-Version: <orum-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.orum.io/deliver/persons/{id}"
payload := strings.NewReader("{\n \"customer_reference_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"date_of_birth\": \"<string>\",\n \"social_security_number\": \"<string>\",\n \"addresses\": [\n {\n \"type\": \"home\",\n \"address1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"country\": \"US\",\n \"zip5\": \"<string>\",\n \"address2\": \"<string>\"\n }\n ],\n \"contacts\": [\n {\n \"value\": \"<string>\"\n }\n ],\n \"metadata\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Orum-Version", "<orum-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api-sandbox.orum.io/deliver/persons/{id}")
.header("Orum-Version", "<orum-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customer_reference_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"date_of_birth\": \"<string>\",\n \"social_security_number\": \"<string>\",\n \"addresses\": [\n {\n \"type\": \"home\",\n \"address1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"country\": \"US\",\n \"zip5\": \"<string>\",\n \"address2\": \"<string>\"\n }\n ],\n \"contacts\": [\n {\n \"value\": \"<string>\"\n }\n ],\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.orum.io/deliver/persons/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Orum-Version"] = '<orum-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer_reference_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"date_of_birth\": \"<string>\",\n \"social_security_number\": \"<string>\",\n \"addresses\": [\n {\n \"type\": \"home\",\n \"address1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"country\": \"US\",\n \"zip5\": \"<string>\",\n \"address2\": \"<string>\"\n }\n ],\n \"contacts\": [\n {\n \"value\": \"<string>\"\n }\n ],\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"person": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_reference_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"status": "created",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"middle_name": "<string>",
"date_of_birth": "<string>",
"addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "home",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US",
"zip5": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"address2": "<string>"
}
],
"contacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"value": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"status_reasons": [
{
"reason_code": "invalid_address",
"reason_code_message": "Address submitted is a non-supported address type"
}
],
"closed_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Persons
Update Person By ID
Update a person object by its id.
PUT
/
deliver
/
persons
/
{id}
Update a person by id
curl --request PUT \
--url https://api-sandbox.orum.io/deliver/persons/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Orum-Version: <orum-version>' \
--data '
{
"customer_reference_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"date_of_birth": "<string>",
"social_security_number": "<string>",
"addresses": [
{
"type": "home",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US",
"zip5": "<string>",
"address2": "<string>"
}
],
"contacts": [
{
"value": "<string>"
}
],
"metadata": {}
}
'import requests
url = "https://api-sandbox.orum.io/deliver/persons/{id}"
payload = {
"customer_reference_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"date_of_birth": "<string>",
"social_security_number": "<string>",
"addresses": [
{
"type": "home",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US",
"zip5": "<string>",
"address2": "<string>"
}
],
"contacts": [{ "value": "<string>" }],
"metadata": {}
}
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Orum-Version': '<orum-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customer_reference_id: '<string>',
first_name: '<string>',
last_name: '<string>',
middle_name: '<string>',
date_of_birth: '<string>',
social_security_number: '<string>',
addresses: [
{
type: 'home',
address1: '<string>',
city: '<string>',
state: '<string>',
country: 'US',
zip5: '<string>',
address2: '<string>'
}
],
contacts: [{value: '<string>'}],
metadata: {}
})
};
fetch('https://api-sandbox.orum.io/deliver/persons/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.orum.io/deliver/persons/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'customer_reference_id' => '<string>',
'first_name' => '<string>',
'last_name' => '<string>',
'middle_name' => '<string>',
'date_of_birth' => '<string>',
'social_security_number' => '<string>',
'addresses' => [
[
'type' => 'home',
'address1' => '<string>',
'city' => '<string>',
'state' => '<string>',
'country' => 'US',
'zip5' => '<string>',
'address2' => '<string>'
]
],
'contacts' => [
[
'value' => '<string>'
]
],
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Orum-Version: <orum-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.orum.io/deliver/persons/{id}"
payload := strings.NewReader("{\n \"customer_reference_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"date_of_birth\": \"<string>\",\n \"social_security_number\": \"<string>\",\n \"addresses\": [\n {\n \"type\": \"home\",\n \"address1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"country\": \"US\",\n \"zip5\": \"<string>\",\n \"address2\": \"<string>\"\n }\n ],\n \"contacts\": [\n {\n \"value\": \"<string>\"\n }\n ],\n \"metadata\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Orum-Version", "<orum-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api-sandbox.orum.io/deliver/persons/{id}")
.header("Orum-Version", "<orum-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customer_reference_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"date_of_birth\": \"<string>\",\n \"social_security_number\": \"<string>\",\n \"addresses\": [\n {\n \"type\": \"home\",\n \"address1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"country\": \"US\",\n \"zip5\": \"<string>\",\n \"address2\": \"<string>\"\n }\n ],\n \"contacts\": [\n {\n \"value\": \"<string>\"\n }\n ],\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.orum.io/deliver/persons/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Orum-Version"] = '<orum-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer_reference_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"date_of_birth\": \"<string>\",\n \"social_security_number\": \"<string>\",\n \"addresses\": [\n {\n \"type\": \"home\",\n \"address1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"country\": \"US\",\n \"zip5\": \"<string>\",\n \"address2\": \"<string>\"\n }\n ],\n \"contacts\": [\n {\n \"value\": \"<string>\"\n }\n ],\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"person": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_reference_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"status": "created",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"middle_name": "<string>",
"date_of_birth": "<string>",
"addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "home",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US",
"zip5": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"address2": "<string>"
}
],
"contacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"value": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"status_reasons": [
{
"reason_code": "invalid_address",
"reason_code_message": "Address submitted is a non-supported address type"
}
],
"closed_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Authorizations
Headers
Path Parameters
Body
application/json
Accepts latin characters and hyphens, dashes, periods, apostrophes, spaces, and diacritics.
Required string length:
1 - 255Pattern:
^[ ’!"#$%&'()*+,-./:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ]+$Accepts latin characters and hyphens, dashes, periods, apostrophes, spaces, and diacritics.
Required string length:
1 - 255Pattern:
^[ ’!"#$%&'()*+,-./:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ]+$Accepts latin characters and hyphens, dashes, periods, apostrophes, spaces, and diacritics.
Maximum string length:
255Pattern:
^[ ’!"#$%&'()*+,-./:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ]*$Optional list of contact information for the person. If object is present, either phone and/or email contact types are accepted. A maximum of three persons or businesses can have the same phone number.
Required array length:
1 - 2 elementsShow child attributes
Show child attributes
Was this page helpful?